@font-face {
    font-family: soraReg;
    src: url('../assets/Sora-Regular.ttf')
}

@font-face {
    font-family: soraMedium;
    src: url('../assets/Sora-Medium.ttf')
}

@font-face {
    font-family: soraBold;
    src: url('../assets/Sora-Bold.ttf')
}

* {
    -webkit-user-select: text;
    user-select: text
}

:root {
    line-height: 1.5;
    font-weight: 400;
    font-synthesis: none;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    --black: rgb(31, 31, 31);
    --blue: rgb(28, 46, 63);
    --yellow: rgb(248, 184, 29);
    --white: rgb(255, 255, 255);
    --grey1: rgb(230, 230, 230);
    --grey2: rgb(57, 57, 57);
    --bgGrey: rgb(231, 231, 231);
    --type-alfa: "soraReg", sans-serif;
    --type-beta: "soraBold", sans-serif
}

::-moz-selection {
    color: var(--yellow);
    background: var(--black)
}

::selection {
    color: var(--yellow);
    background: var(--black)
}

html {
    font-family: var(--type-alfa);
    overflow: hidden;
    scroll-behavior: smooth
}

body {
    margin: 0;
    display: flex;
    place-items: center;
    min-width: 320px;
    min-height: 100vh;
    overflow-x: hidden;
    background-color: var(--black);
    background-image: url('../assets/bg-city.webp')
}

#root {
    margin: 0 auto;
    text-align: center;
    height: 100vh
}

a {
    color: var(--white)
}

h1 {
    font-size: 2.4em;
    padding: 0;
    margin: 0;
    font-family: var(--type-beta)
}

h3 {
    font-size: 2em;
    padding: 0;
    margin: 0
}

ol {
    text-align: justify
}

button {
    border: 1px solid transparent;
    padding: .6em 1.2em;
    font-size: 1em;
    font-weight: 500;
    font-family: inherit;
    background-color: var(--yellow);
    color: var(--blue);
    cursor: pointer;
    transition: all ease-in-out .25s
}

button:hover {
    color: var(--white);
    border-color: var(--white)
}

button:focus,
button:focus-visible {
    outline: 2px auto -webkit-focus-ring-color
}

.buttonDisabled {
    cursor: not-allowed;
    opacity: .5
}

.swal2-styled.swal2-confirm {
    background-color: var(--blue)
}

.swal2-styled {
    box-shadow: none !important
}

.programTitle {
    color: var(--blue);
    margin-top: 5%
}

.txtInstructions {
    font-size: 25px
}

.instructionSteps {
    background-color: #f8b81d99;
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    width: 60%;
    margin: 35px auto;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    padding: 30px
}

.stepList {
    margin: 0 auto
}

.listStyle {
    color: var(--blue);
    font-family: soraBold;
    font-size: 20px;
    text-align: left
}

.instItem {
    width: 175px;
    height: 175px;
    background: #ffffff1a;
    backdrop-filter: blur(5px);
    border: 1px solid rgba(255, 255, 255, .18);
    -webkit-backdrop-filter: blur(5px);
    border-radius: 20px;
    transition: all ease-in-out .4s;
    color: var(--white)
}

.instItem:hover {
    scale: 1.2
}

.mt5 {
    margin-top: 15px
}

.ml5 {
    margin-left: 15px
}

.stepContainer {
    background: #1c2e3fa6;
    box-shadow: 0 8px 32px #d1a0711a;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    width: 60%;
    margin: 5% auto;
    padding: 30px;
    transition: all ease-in-out .4s;
    color: var(--white)
}

.stepTitle {
    font-size: 22px
}

.stepInfo {
    font-size: 15px
}

.smallTxt {
    font-size: 11px;
    font-weight: 700
}

.heading {
    margin: 0 auto;
    height: 70px;
    width: 100vw;
    border-bottom: 1px solid var(--yellow);
    background-color: var(--blue)
}

.logoHeading {
    padding: 5px;
    max-height: 60px
}

input[type=text],
input[type=tel],
input[type=email] {
    margin: 5px;
    border: none;
    padding: 10px;
    width: 300px;
    border-radius: 5px
}

.acceptCheck {
    font-size: 10px
}

.optionContainer {
    width: 150px;
    height: 80px;
    border-radius: "5px"
}

.projectImage {
    max-width: 150px;
    max-height: 150px;
    object-fit: cover;
    border-radius: 5px
}

.terms {
    background-color: var(--blue);
    padding: 10px 0
}

.titleTerms {
    font-size: 19px;
    font-weight: 900
}

.linkRed {
    color: var(--blue) !important
}

.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #00000080;
    display: flex;
    justify-content: center;
    align-items: center
}

.modal-content {
    background-color: #fff;
    padding: 20px;
    text-align: center;
    max-width: 700px;
    max-height: 50%;
    width: 100%;
    overflow-y: auto
}

@media (300px < width < 960px) {
    h1 {
        font-size: 2.1em
    }

    input[type=text],
    input[type=tel],
    input[type=email] {
        width: 90%
    }

    .instructionSteps {
        margin-top: 35px;
        flex-wrap: wrap;
        justify-content: space-around
    }

    .instItem {
        width: 175px;
        height: 175px;
        margin: 15px
    }
}